Subject: bug#67539: GNU Automake 1.16.5 FAILS one test objc-megademo

From: Mike Frysinger <[email-masked]>
Date: Sat, 2 Dec 2023 21:11:28 -0500

On 30 Nov 2023 22:45, Nick Bowler wrote:
> Interestingly the libtool manual also says "If [libtool] can't infer a 
> tag, then it defaults to the configuration for the C language", which is 
> clearly not the case (it seems what actually happens is that if libtool 
> can't infer a tag then it exits with a fatal error).  So I wonder if
> this is actually a regression in libtool.

i'm fairly certain libtool used to do this aaaaaaaaaages ago, and i *think*
it stopping was intentional.  i recall a lot of pain in Gentoo from that
switchup, but tbh, i don't think any of it was "wrong" ... all the fixes we
landed were because the code was being misused/abused, and silently doing
the wrong thing (especially when cross-compiling).  so i personally prefer
the new world order, and would say we should lobby for the manual to change
rather than rollback the behavior.
-mike